#include <stdio.h>
#include <stdlib.h>

int main()
{
    int h,w;
    scanf("%d %d",&h,&w);

    char v[h][w];
    int i,j;
    for(i=0;i<h;i++)
    {
        for(j=0;j<w;j++)
        scanf("%c",&v[i][j]);
    }

    printf("%d",-1);

    return 0;
}